Subject: Re: old TCP options

From: [email-masked]
Date: Sun, 1 Nov 1998 09:57:17 -0800

*> >
  *> >Did anybody ever make use of any of the expiremental or legacy TCP
  *> >options, such as NAK, Echo and Alternative Checksums? Are these options
  *> >seen much today, still?
  *> >
  *> >Thanks
  *> >
  *> >-- 
  *> >Eric A. Hall                                            [email-masked]
  *> >+1-650-685-0557                                    http://www.ehsco.com

I don't recognized NAK (see list below, taken from the IANA page).
Echo has been superceded by TSOPT, which certainly is implemented.

Bob Braden

Kind   Length   Meaning                           Reference
----   ------   -------------------------------   ---------
  0        -    End of Option List                 [RFC793]
  1        -    No-Operation                       [RFC793]
  2        4    Maximum Segment Size               [RFC793]
  3        3    WSOPT - Window Scale              [RFC1323]
  4        2    SACK Permitted                    [RFC1072]
  5        N    SACK                              [RFC1072]
  6        6    Echo (obsoleted by option 8)      [RFC1072]
  7        6    Echo Reply (obsoleted by option 8)[RFC1072]
  8       10    TSOPT - Time Stamp Option         [RFC1323]
  9        2    Partial Order Connection Permitted[RFC1693]
 10        3    Partial Order Service Profile     [RFC1693]
 11             CC                                 [Braden]
 12             CC.NEW                             [Braden]
 13             CC.ECHO                            [Braden]
 14         3   TCP Alternate Checksum Request    [RFC1146]
 15         N   TCP Alternate Checksum Data       [RFC1146]
 16             Skeeter                           [Knowles]
 17             Bubba                             [Knowles]
 18         3   Trailer Checksum Option    [Subbu & Monroe]
 19        18   MD5 Signature Option              [RFC2385]

---

From: "Eric A. Hall" <[email-masked]>
Date: Sun, 01 Nov 1998 10:25:39 -0800

> I don't recognized NAK (see list below, taken from the IANA page).

NAK was defined in 1106, along with "Big Windows," an alternative to
1072's original Window Scale Option.

I know RFC 1106 is dead, but am wondering if these (and any of the other
"non-standard") options are seen much. Has anybody ever done much with
any of them (like maybe Tandem, the employer of 1106's author)?

-- 
Eric A. Hall                                            [email-masked]
+1-650-685-0557                                    http://www.ehsco.com